package com.adealink.weparty.effect

import com.tencent.qgame.animplayer.AnimConfig
import com.tencent.qgame.animplayer.inter.IAnimListener

interface IPlayAnimListener: IAnimListener {
    override fun onVideoStart() {}

    override fun onVideoRender(frameIndex: Int, config: AnimConfig?) {}

    override fun onVideoComplete() {}

    override fun onVideoDestroy() {}

    override fun onFailed(errorType: Int, errorMsg: String?) {}
}